Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http
Class ConnectionClosedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.http.ConnectionClosedException

All Implemented Interfaces:
  Serializable

    public class ConnectionClosedException

extends IOException

Signals that the connection has been closed unexpectedly.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`ConnectionClosedException()` Creates a new ConnectionClosedException with the message "Connection is closed".
`ConnectionClosedException(String message)` Creates a new ConnectionClosedException with the specified detail message.
`ConnectionClosedException(String format, Object... args)` Constructs a new ConnectionClosedException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionClosedException

    public ConnectionClosedException()

  Creates a new ConnectionClosedException with the message "Connection is closed".

  Since:
    4.4.11

### ConnectionClosedException

    public ConnectionClosedException(String message)

  Creates a new ConnectionClosedException with the specified detail message.

  Parameters:
    `message` - The exception detail message

### ConnectionClosedException

    public ConnectionClosedException(String format,
                                     Object... args)

  Constructs a new ConnectionClosedException with the specified detail message.

  Parameters:
    `format` - The exception detail message format; see `String.format(String, Object...)`.
    `args` - The exception detail message arguments; see `String.format(String, Object...)`.
  Since:
    4.4.11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.